<!--INICIO DO CONTEUDO-->
<section class="content-header">
</section>

<section class="content">
  <section class="invoice">

    <form [formGroup]="orderForm" novalidate>
      <div formGroupName="destination">
        <div class="row">
          <div class="col-xs-12">
            <h2 class="page-header">
              <i class="fa fa-truck"></i> Informe dados da entrega
            </h2>
          </div>
        </div>

        <div class="row">
          <div class="col-xs-12 col-sm-9">
            <p class="lead">Destinatário:</p>
          </div>
          <div class="col-xs-12 col-sm-3">
            <span class="help-block pull-right has-error-block" *ngIf="orderForm.hasError('emailsNotMatch')"><i
                class="fa fa-remove"></i> Email-s não conferem</span>
          </div>

          <div class="col-sm-6 col-xs-12">
            <cg-input-container errorMessage="Campo obrigatório e com 5 caracteres" label="Nome">
              <input class="form-control" formControlName="name" placeholder="Nome do destinatário" autocomplete="off">
            </cg-input-container>
          </div>
        </div>

        <div class="row">
          <div class="col-sm-9 col-xs-12">
            <cg-input-container errorMessage="Campo obrigatório e com 5 caracteres" label="Endereço">
              <input class="form-control" formControlName="address" placeholder="Endereço" autocomplete="off">
            </cg-input-container>
          </div>
          <div class="col-sm-3 col-xs-6">
            <cg-input-container errorMessage="Obrigatório e somente números" label="Número">
              <input type="text" class="form-control" formControlName="number" placeholder="Número" autocomplete="off">
            </cg-input-container>
          </div>
          <!-- /.col -->
        </div>

        <div class="row">
          <div class="col-sm-6 col-xs-6">
            <cg-input-container>
              <input type="text" class="form-control" formControlName="optionalAddress" placeholder="Complemento">
            </cg-input-container>
          </div>
          <div class="col-sm-3 col-xs-6">
            <cg-input-container>
              <input type="text" class="form-control" formControlName="city" placeholder="Cidade">
            </cg-input-container>
          </div>
          <div class="col-sm-3 col-xs-6">
            <cg-input-container>
              <input type="text" class="form-control" formControlName="zipCode" placeholder="CEP">
            </cg-input-container>
          </div>
        </div>

        <div class="row">
          <div class="col-sm-6 col-xs-6">
            <cg-input-container errorMessage="E-mail inválido" label="E-mail">
              <input type="text" class="form-control" formControlName="email" placeholder="E-mail" autocomplete="off">
            </cg-input-container>
          </div>

          <div class="col-sm-3 col-xs-6">
            <cg-input-container errorMessage="Número do celular inválido" label="Celular">
              <input type="text" class="form-control" formControlName="cell" placeholder="Celular"
                autocomplete="off">
            </cg-input-container>
          </div>

          <div class="col-sm-3 col-xs-6">
            <cg-input-container errorMessage="Número do telefone fixo inválido" label="Telefone Fixo">
              <input type="text" class="form-control" formControlName="phone" placeholder="Fixo"
                autocomplete="off">
            </cg-input-container>
          </div>

        </div>
        <!-- /.row -->
      </div>
      <div class="row">
        <div formGroupName="freight">
          <!-- accepted payments column -->
          <div class="col-sm-6 col-xs-12">
            <p class="lead">Frete:</p>

            <div class="row">
              <div class="col-sm-12 col-xs-12">
                <cg-input-container errorMessage="Distância inválida" label="Distância em KM">
                  <input type="text" class="form-control" formControlName="distance"
                    placeholder="Distância do frete em KM" autocomplete="off">
                </cg-input-container>
              </div>
            </div>


            <div class="row">
              <div class="col-sm-12 col-xs-12">
                <cg-input-container errorMessage="Número de eixos inválido" label="Número de eixos">
                  <input type="text" class="form-control" formControlName="axis" placeholder="Número de eixos de 2 à 8"
                    autocomplete="off">
                </cg-input-container>
              </div>
            </div>

            <div class="row">
              <div class="col-sm-12 col-xs-12">
                <cg-input-container label="Valor total frete">
                  <input type="text" class="form-control" formControlName="totalCost" placeholder="Valor total do frete"
                    autocomplete="off">
                </cg-input-container>
              </div>
            </div>

          </div>
        </div>
        <div formGroupName="situations">
          <!-- /.col -->
          <div class="col-sm-6 col-xs-12">
            <p class="lead">Observação:</p>
            <div class="col-sm-12 col-xs-12">
              <cg-input-container errorMessage="Observação inválida" label="Observações">
                <input type="text" class="form-control" formControlName="observation"
                  placeholder="Observações da Solicitação" autocomplete="off">
              </cg-input-container>
            </div>
          </div>
          <!-- /.col -->
        </div>
      </div>
    </form>

    <div class="row">
      <div class="col-xs-12">
        <button (click)="checkOrder(orderForm.value)" class="btn btn-success pull-right" [disabled]="!orderForm.valid">
          <i class="fa fa-credit-card"></i> Concluir Solicitação
        </button>
      </div>
    </div>

  </section>
</section>
<!-- FIM DO CONTEUDO-->